/* Agenda */
.aui {
    /* Container Principal */
    .painel-busca-container {
        display: flex;
    }

    .painel-busca-item1 {
        flex: 5 1 calc(0% - 20px);
    }

    .painel-busca-item2 {
        flex: 5 1 calc(0% - 20px);
    }

    @media (max-width: 1200px) {
        .painel-busca-item1 {
            flex: 6 1 calc(0% - 20px);
        }

        .painel-busca-item2 {
            flex: 4 1 calc(0% - 20px);
        }
    }

    /*@media (max-width: 768px) {*/
    @media (max-width: 980px) {
        .painel-busca-container{
            flex-direction: column;
        }

        .painel-busca-item1 {
            flex: 1 1 100%;
        }

        .painel-busca-item2 {
            flex: 1 1 100%;
        }
    }

    /* Bloco da Esquerda */
    .link-sessoes-em-andamento {
        background: #E27500;
        border-radius: 10px;
        display: flex;
        padding: 15px 25px;
        margin-bottom: 5px;
        margin-right: 10px;
        align-items: center;
    }

    @media (max-width: 980px) {
        .link-sessoes-em-andamento {
            flex-direction: column;
            gap: 10px;
            align-items: start;
            margin-right: 0 !important;
        }

        .link-sessoes-anteriores{
            margin-right: 0 !important;
        }
    }

    @media (max-width: 768px) {
        .link-sessoes-em-andamento {
            flex-direction: row;
            gap: 0;
            align-items: center;
        }
    }

    @media (max-width: 540px) {
        .link-sessoes-em-andamento {
            flex-direction: column;
            gap: 10px;
            align-items: start;
        }
    }

    .link-acompanhamento1{
        border: 2px solid white;
        border-radius: 10px 0 0 10px;
        text-align: center;
    }

    .link-acompanhamento1:hover{
        box-shadow: rgba(255, 255, 255, 0.5) -1px -1px 2px 2px, rgba(255, 255, 255, 0.5) 1px 1px 2px 2px; 
        background-color: white; 
        color: #e27500 !important; 
    }

    .link-acompanhamento2{
        border-top: 2px solid white;
        border-bottom: 2px solid white;
        text-align: center;
    }

    .link-acompanhamento2:hover{
        box-shadow: rgba(255, 255, 255, 0.5) -1px -1px 2px 2px, rgba(255, 255, 255, 0.5) 1px 1px 2px 2px; 
        background-color: white; 
        color: #e27500 !important; 
    }

    .link-acompanhamento3{
        border: 2px solid white;
        border-radius: 0 10px 10px 0;
        text-align: center;
    }

    .link-acompanhamento3:hover{
        box-shadow: rgba(255, 255, 255, 0.5) -1px -1px 2px 2px, rgba(255, 255, 255, 0.5) 1px 1px 2px 2px; 
        background-color: white; 
        color: #e27500 !important; 
    }

    .link-sessoes-anteriores {
        background: #2282B2;
        border-radius: 10px;
        flex-shrink: 0;
        box-sizing: border-box;
        display: flex;
        align-items: center;
        padding: 15px;
        margin-bottom: 8px;
        margin-right: 10px;
    }

    .link-sessoes-anteriores img {
        padding: 0 5px;
    }

    .link-sessoes-anteriores a{
        color: white;
        font-style: normal;
        font-weight: normal;
        font-size: 24px;
    }

    .input-append.date input,
    .input-append.date .add-on {
        border: none;
        box-shadow: none;
    }

    .links-acompanhamento{
        display: flex;
    }

    .links-acompanhamento a{
        color: white;
        width: 64px;
        height: 32px;
    }

    .texto-acompanhamento{
        flex: 1;
        padding-right: 10px;
    }

    .texto-acompanhamento a{
        color: white;
        font-size: 24px;
        line-height: normal;
    }

    .link-sessoes-anteriores a:hover,
    .link-sessoes-anteriores a:focus,
    .link-sessoes-em-andamento a:hover,
    .link-sessoes-em-andamento a:focus {
        color: white;
        outline: none;
    }

    /* Bloco da Direita */
    .area-busca {
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        align-items: stretch;
        width: 100%;
        box-sizing: border-box;
    }

    /* Formulários e Inputs */
    .busca-simples input, .busca-simples select, .busca-simples button,
    .painel-busca-detalhada input, .painel-busca-detalhada select, .painel-busca-detalhada button {
        padding: 8px;
        border: 1px solid #ccc;
        border-radius: 4px;
        font-size: 14px;
    }

    /* Busca Simples */
    .busca-simples {
        display: flex;
        gap: 10px;
        margin-bottom: 0;
        align-items: stretch; /* Garante altura igual */
        padding: 5px 0 0 0;
        justify-content: end;
    }

    .busca-simples input[type="text"] {
        flex-grow: 1;
        width: auto;
        min-width: 0;
        height: auto;
        border-radius: 5px;
        border: 1px solid #707070;
        color: #707070;
        font-size: 18px;
    }

    .busca-simples button:hover{
        background-color: #DDDDDD !important;
    }

    .botao-buscar{
        height: 42px;
        width: 93px;
        box-sizing: border-box;
        white-space: nowrap;
        border: 1px solid #707070;
        border-radius: 5px;
        color: #707070;
        font-size: 18px;
    }

    .botao-buscar:hover{
        background-color: #DDDDDD !important;
    }

    /* Gatilho da Busca Detalhada */
    .gatilho-busca-detalhada {
        color: #333;
        fill: #333;
        text-decoration: none;
        font-size: 18px;
        border-radius: 10px 10px 0 0;
        padding: 0 10px;
    }

    .gatilho-busca-detalhada:focus,
    .gatilho-busca-detalhada:hover{
        text-decoration: none;
        outline: none;
    }

    /* Estilo do gatilho QUANDO ATIVO (painel visível) */
    .gatilho-busca-detalhada.ativo {
        background-color: #666666; /* Cinza escuro */
        color: white;
        fill: white;
        align-self: end;
    }

    .gatilho-busca-detalhada.ativo #seta_cima {
        display: inline !important;
    }

    .gatilho-busca-detalhada #seta_cima {
        vertical-align: -4px
    }

    .gatilho-busca-detalhada.ativo #seta_baixo {
        display: none;
    }

    .gatilho-busca-detalhada #seta_baixo {
        vertical-align: -2px
    }

    .pai-pesquisa-completa{
        background-color: #666;
        border-radius: 10px 0 10px 10px;
    }

    .painel-pesquisa-completa{
        display: flex;
        justify-content: end;
        margin-top: 10px
    }

    .container-pesquisa-completa{
        text-align: right;
        padding: 0 10px 5px;
    }

    .link-pesquisa-completa svg{
        fill: white;
        vertical-align: -1px;
    }

    .link-pesquisa-completa{
        font-size: 16px;
        color: white;
    }

    .link-pesquisa-completa:hover, .link-pesquisa-completa:focus{
        color: white;
    }

    /* PAINEL DE BUSCA DETALHADA - A MÁGICA ACONTECE AQUI */
    .painel-busca-detalhada {
        padding: 9px 10px 9px 10px;
        margin: 0px;
        box-sizing: border-box;
        display: flex;
        gap: 10px;
        align-items: stretch;
        overflow-x: auto; /* Permite rolagem se necessário */
    }

    @media (max-width: 700px) {
        .painel-busca-detalhada {
            flex-direction: column;
        }

        .input-busca {
            flex: auto !important;
            width: auto !important;
        }

        .botao-buscar{
            width: auto !important;
        }
    }

    /*.painel-busca-detalhada input,
    .painel-busca-detalhada select {
        min-width: 0;
        white-space: nowrap;
        color: #707070;
        font-size: 18px;
        font-weight: normal;
    }*/

    .input-busca {
        flex: 1;
        min-width: 0;
        color: #707070 !important;
        height: 42px !important;
        padding: 0 12px !important;
        box-sizing: border-box !important;
        border-radius: 5px !important;
        border: 1px solid #707070 !important;
        margin: 0 !important;
    }

    .painel-busca-detalhada input[placeholder="Número"] {
        flex: 0.5;
    }
    
    .painel-busca-detalhada input[placeholder="Ano"] {
        flex: 0.4;
    }

    /* Painel do Senado */

    .painel-corpo-senado {
        display: flex;
        flex-direction: row;
    }

    .painel-corpo-texto-senado-cont{
        display: flex;
        padding: 15px 0px 15px 15px;
        border-top: solid 1px #3e6892;
        min-width: 0;
    }

    @media (max-width: 768px) {
        .painel-corpo-texto-senado-cont {
            flex-direction: column;
        }
    }

    .painel-corpo-texto-senado-titulo{
        flex: 1;
        padding-right: 50px;
        color: #3e6892;
    }

    .painel-corpo-texto-senado-titulo blockquote {
        color: #3e6892;
        font-style: italic;
        margin: 0 0 5px;
    }

    .painel-corpo-texto-senado-badge{
        flex: 0 0 auto;
        text-align: end;
        padding-right: 30px;
    }

    .painel-corpo-hora-senado {
        padding: 15px 40px 15px 15px;
        font-size: 40px;
        flex: 0 0 auto;
        width: 105px;
        color: #333333;
        line-height: 1;
    }

    @media (max-width: 980px) {
        .painel-corpo-hora-senado {
            padding: 15px 10px 15px 5px;
        }
    }

    @media (max-width: 768px) {
        .painel-corpo-texto-status-comissoes,
        .painel-corpo-texto-senado-badge{
            flex: 0 0 auto;
            display: flex;
        }

        .painel-corpo-texto-status-comissoes .label,
        .painel-corpo-texto-senado-badge .label{
            margin-right: 0;
        }

        .painel-corpo-texto-senado-titulo{
            padding-right: 10px;
            padding-bottom: 10px;
        }
    }

    .painel-corpo-texto-senado {
        font-size: 16px;
        color: #333333;
        flex: 1;
    }

    .painel-rodape-senado {
        text-align: left !important;
        width: auto !important;
    }

	.painel-base-azul-senado {
        /*background-color: #E5F1F6;*/
        border-bottom: none;
	}

    .painel-base-azul-senado:hover{
        /*background-color: #FFFFFF;*/
        background-color: #fafafa;
    }

    .painel-base-comissoes {
        border: unset;
	}

    .painel-base-comissoes:hover{
        /*background-color: #E5F1F6;*/
        background-color: #fafafa;
    }
    
    .painel-corpo-comissoes {
        font-size: 16px;
        display: flex;
        flex-direction: row;
    }

    .painel-corpo-hora-comissoes {
        padding: 15px 40px 15px 15px;
        font-size: 40px;
        flex: 0 0 auto;
        width: 105px;
        color: #333333;
        line-height: 1;
    }

    @media (max-width: 980px) {
        .painel-corpo-hora-comissoes {
            padding: 15px 10px 15px 5px;
        }
    }

    .painel-corpo-texto-comissoes{
        display: flex;
        flex-direction: column;
        flex: 1;
        padding: 15px 0px 15px 15px;
        border-top: solid 1px #9B9393;
        min-width: 0;
    }

    .painel-corpo-texto-comissoes-cont{
        display: flex;
    }

    @media (max-width: 768px) {
        .painel-corpo-texto-comissoes-cont {
            flex-direction: column;
        }
    }

    .painel-corpo-texto-nome-comissoes{
        flex: 1;
        padding-right: 10px;
        padding-bottom: 10px;
        /*max-width: 585px;*/
        color: #3e6892;
        min-width: 0;
    }

    blockquote {
        margin-bottom: 5px;
    }

    .painel-corpo-texto-descricao-comissoes{
        flex: 1 1 0;
        padding-right: 10px;
        max-width: 280px;
    }

    @media (max-width: 1200px) {
        .painel-corpo-texto-descricao-comissoes{
            max-width: 150px;
        }
    }

    .painel-corpo-texto-descricao-comissoes a {
        color: black;
    }

    .painel-corpo-texto-descricao-comissoes a:hover {
        color: black;
    }

    .painel-corpo-texto-status-comissoes,
    .painel-corpo-texto-senado-badge{
        flex: 0 0 auto;
        text-align: center;
        padding-right: 30px;
    }

    .painel-corpo-texto-status-comissoes .label,
    .painel-corpo-texto-senado-badge .label{
        border-radius: 10px !important;
        font-size: 14px !important;
        padding: 6px 12px !important;
        width: 100px !important;
        text-overflow: ellipsis !important;
        text-align: center;
        overflow: hidden;
    }

    .painel-corpo-texto-status-comissoes .label{
        border-radius: 10px !important;
        font-size: 14px !important;
        padding: 6px 12px !important;
        width: 100px !important;
        text-overflow: ellipsis !important;
        text-align: center;
        overflow: hidden;
    }

    .ecidadania-logo{
        margin-right: -6px;
    }

    @media (max-width: 768px) {
        .ecidadania-logo{
            margin-right: auto;
        }
    }

    .painel-rodape-comissoes{   
        text-align: left !important;
        width: auto !important;
    }

    .titulo-secao-agenda {
        display: block;
        font-size: 20px;
        color: #333333;
        background: #F6F6F6;
        border-bottom: solid 2px #3e6892;
        padding: 12px 10px;
        font-weight: 500;
        line-height: 26px;
    }

    .titulo-secao-agenda-sessao {
        display: block;
        font-size: 20px;
        color: #333333;
        background: #F6F6F6;
        border-bottom: solid 1px #3e6892;
        padding: 12px 10px;
        font-weight: 500;
        line-height: 26px;
    }

    .titulo-divisor-status-sessoes-comissoes {
        display: block;
        font-size: 16px;
        background: #11718F12;
        color: #333333;
        border-top: solid 1px #9B9393;
        padding: 4px 0 6px 12px;
        font-weight: 600 !important;
        line-height: 21px;
    }

    .titulo-divisor-status-sessoes-comissoes:first-child {
        border-top: none;
    }

    .titulo-comissoes-em-andamento{
        background-color: #F8940512 !important;
    }

    .titulo-comissoes-agendadas{
        background-color: #11718F12 !important;
    }

    .titulo-comissoes-realizadas{
        background-color: #18B53C17 !important;
    }

    .titulo-comissoes-nao-realizadas{
        background-color: #b5030312 !important;
    }

    .painel-home-atividade {
        background-color: #FFF;
    }

    .calendario-home-atividade{
        display: inline-block;
    }

    .barra-de-links{
        margin: 0 !important;
        text-align: right;
        color: #3e6892;
        padding-right: 30px;
        padding-top: 3px;
    }

    .barra-de-links-comissoes{
        padding: 0 !important;
        font-size: 0.8em;
        margin: 0 !important;
    }

    .barra-de-links-item{
        padding: 0 !important;
        font-size: 14px;
    }

    .barra-de-links-item a svg{
        vertical-align: -1px;
    }

    .linha-titulo-calendario{
        display: flex;
        background-color: white;
        border-bottom: solid 1px #9B9393;
        border-radius: 10px 10px 0 0;
        font-size: 28px;
        padding: 5px 0 10px 0;
        margin-top: 30px;
    }

    .linha-titulo-calendario-texto{
        flex: 1;
        white-space: nowrap;
    }

    #divSessoes .alerta-vazio{
        padding: 15px;
        font-size: 20px;
        color: dimgray;
        font-style: italic;
    }

    .agenda-data{
        position: relative;
        width: 225px;
    }

    .agenda-data input{
        box-sizing: border-box;
        width: 100% !important;
        height: 100% !important;
        padding-right: 40px !important;
        padding-left: 14px;
        font-size: 25px !important;
        background-color: white !important;
        color: #333333 !important;
        border-radius: 5px !important;
        border: 1px solid #333333 !important;
        vertical-align: baseline;
        cursor: pointer;
    }

    .agenda-data span{
        position: absolute;
        right: 21px;
        top: 60%;
        transform: translateY(-50%);
        color: #888;
        cursor: pointer;
        width: 19pt;
    }


     @media (max-width: 540px) {
        .linha-titulo-calendario{
            flex-direction: column;
        }
    }

    @media (max-width: 768px) {
        
    }

    .ver-agenda-completa{
        display: block;
        text-align: center;
        color: black;
        padding: 7px;
        border-top: 1px solid #9B9393;
        border-bottom: 1px solid #9B9393;
    }

    .ver-agenda-completa:hover{
        color: black;
    }

    .ver-agenda-completa svg{
        vertical-align: -2px;
    }

    .ver-menos-agenda{
        display: block;
        text-align: center;
        color: black;
        padding: 7px;
        border-top: 1px solid #9B9393;
        border-bottom: 1px solid #9B9393;
    }

    .ver-menos-agenda svg{
        vertical-align: -5px;
        padding-left: 3px;
    }

    .primeiro-horario{
        visibility: visible!important;
        border-top: solid 1px #9B9393;
    }

    .primeiro-horario-sessao{
        visibility: visible!important;
        border-top: solid 1px #3e6892;
    }

    .sf-text-truncate{
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
    }

}